# TdpFunctionDemo

## 项目目录结构
- `assembly/package.xml` 工程项目的打包脚本；
- `lib` 存放第三方jar包；
- `src` 存放源码；
- `target` 存放构建产物，工程jar包和打包脚本的构建产物。

## 包结构
```
├─src
│  └─main
│      └─java
│          └─com
│              └─huawei
│                  └─demo
│                      │  LocalTest.java                    本地测试类
│                      │  TdpFunction.java                  设备发放定义的函数接口
│                      │  TdpFunctionImpl.java              函数接口实现类
│                      │  
│                      ├─api
│                      │      OkHttpClientFactory.java      OkHttpClient工厂类
│                      │      TdpApi.java                   设备发放部分API
│                      │      
│                      ├─common
│                      │  ├─logger                          日志
│                      │  │      DefaultLogger.java
│                      │  │      ExtendLogger.java
│                      │  │      MessageFormatter.java
│                      │  │      
│                      │  └─utils                           工具类
│                      │          ExceptionUtil.java
│                      │          JacksonUtil.java
│                      │          
│                      └─model                              函数参数和返回参数类
│                          │  AccessPointPara.java
│                          │  AuthInfoPara.java
│                          │  CaCertPara.java
│                          │  CertInfoPara.java
│                          │  DeviceCertPara.java
│                          │  FunctionGraphPara.java
│                          │  TdpFuncBody.java
│                          │  TdpFuncBodyContext.java
│                          │  TdpFuncResult.java
│                          │  
│                          ├─api                                设备发放API使用到的Model类
│                          │      AccessPointResp.java
│                          │      AllocateDeviceReq.java
│                          │      ApplicationResp.java
│                          │      AuthInfo.java
│                          │      ProvisionInfoBaseResp.java
│                          │      QueryDeviceBase.java
│                          │      
│                          └─error                              错误枚举
│                                  ErrorEnum.java
```

## 版本历史
### 1.0.0-RELEASE
1. 对外提供的首个 Demo 版本；
