package com.huawei.demo;

import com.huawei.demo.common.utils.JacksonUtil;
import com.huawei.demo.model.AccessPointPara;
import com.huawei.demo.model.AuthInfoPara;
import com.huawei.demo.model.CaCertPara;
import com.huawei.demo.model.CertInfoPara;
import com.huawei.demo.model.DeviceCertPara;
import com.huawei.demo.model.FunctionGraphPara;
import com.huawei.demo.model.TdpFuncResult;

public class LocalTest {
    public static void main(String[] args) {
        FunctionGraphPara para = new FunctionGraphPara()
            .withIamToken(
                "MIIU2gYJKoZIhvcNAQcCoIIUyzCCFMcCAQE")
            .withDeviceId("testm0126Reg")
            .withDeviceName("abcdeabcdeabcdetestm0126Reg")
            .withAccessPoints((list) -> list.add(new AccessPointPara()
                .withRegionId("cn-north-5").withAccessPointId("cn-north-5")))
            .withAuthInfo(new AuthInfoPara()
                .withAuthType("CERTIFICATES")
                .withCertInfo(new CertInfoPara()
                    .withCaCert(new CaCertPara()
                        .withSubjectCnName("serverCommonName")
                        .withCaCertName("sdvCert_one")
                        .withFingerprint("862C863581F10014CE6566C1A0E636A6141EFCE4"))
                    .withDeviceCert((list) -> list.add(new DeviceCertPara()
                        .withSubjectCnName("deviceCert")
                        .withIssuerCnName("serverCommonName")
                        .withSha1Fingerprint("497e7436d7c94dc6b27137c4c2f611018a923d1f")
                        .withSha256Fingerprint("7e8a5bd8f3935ce6924be010c6f3b35e5f2e0f50aaba69db58ccae001b7e0a95")
                    ))));

        System.out.println(JacksonUtil.pojo2Json(para));
        TdpFuncResult result = new TdpFunctionImpl().apiHandle(para, null);
        System.out.println(result);
    }
}
