package com.huawei.demo.common.utils;

import com.huawei.demo.common.logger.DefaultLogger;
import com.huawei.services.runtime.Context;

public class EnvUtils {
    protected static final DefaultLogger LOGGER = new DefaultLogger(EnvUtils.class);

    /**
     * 可通过函数控制台中定义环境变量，来实现函数功能的灵活性
     */
    public static String getEnv(String name) {
        return System.getenv(name);
    }

    public static void printContext(Context context) {
        if (context == null) {
            LOGGER.warn("context is null");
            return;
        }

        LOGGER.debug("getRequestID:{}", context.getRequestID());
        LOGGER.debug("getRemainingTimeInMilliSeconds:{}", context.getRemainingTimeInMilliSeconds());
        LOGGER.debug("getAccessKey:{}", context.getAccessKey());
        LOGGER.debug("getSecretKey:{}", context.getSecretKey());
        //LOGGER.debug("getUserData:{}", context.getUserData());
        LOGGER.debug("getFunctionName:{}", context.getFunctionName());
        LOGGER.debug("getRunningTimeInSeconds:{}", context.getRunningTimeInSeconds());
        LOGGER.debug("getVersion:{}", context.getVersion());
        LOGGER.debug("getMemorySize:{}", context.getMemorySize());
        LOGGER.debug("getCPUNumber:{}", context.getCPUNumber());
        LOGGER.debug("getProjectID:{}", context.getProjectID());
        LOGGER.debug("getPackage:{}", context.getPackage());
        LOGGER.debug("getToken:{}", context.getToken());
        LOGGER.debug("getSecurityToken:{}", context.getSecurityToken());
    }
}
