package com.huawei.demo.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Objects;

/**
 * AccessPointFuncPara
 */
public class AccessPointPara {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "regionId")
    private String regionId;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "accessPointId")
    private String accessPointId;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "authorizingDomainId")
    private String authorizingDomainId;

    public AccessPointPara withRegionId(String regionId) {
        this.regionId = regionId;
        return this;
    }

    /**
     * 区域ID。
     *
     * @return regionId
     */
    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public AccessPointPara withAccessPointId(String accessPointId) {
        this.accessPointId = accessPointId;
        return this;
    }

    /**
     * 接入点ID。
     *
     * @return accessPointId
     */
    public String getAccessPointId() {
        return accessPointId;
    }

    public void setAccessPointId(String accessPointId) {
        this.accessPointId = accessPointId;
    }

    public AccessPointPara withAuthorizingDomainId(String authorizingDomainId) {
        this.authorizingDomainId = authorizingDomainId;
        return this;
    }

    /**
     * 授权账号ID。
     *
     * @return authorizingDomainId
     */
    public String getAuthorizingDomainId() {
        return authorizingDomainId;
    }

    public void setAuthorizingDomainId(String authorizingDomainId) {
        this.authorizingDomainId = authorizingDomainId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        AccessPointPara accessPointFuncPara = (AccessPointPara) o;
        return Objects.equals(this.regionId, accessPointFuncPara.regionId) &&
            Objects.equals(this.accessPointId, accessPointFuncPara.accessPointId) &&
            Objects.equals(this.authorizingDomainId, accessPointFuncPara.authorizingDomainId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(regionId, accessPointId, authorizingDomainId);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class AccessPointFuncPara {\n");
        sb.append("    regionId: ").append(toIndentedString(regionId)).append("\n");
        sb.append("    accessPointId: ").append(toIndentedString(accessPointId)).append("\n");
        sb.append("    authorizingDomainId: ").append(toIndentedString(authorizingDomainId)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

