package com.huawei.demo.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Objects;

/**
 * CaCertPara
 */
public class CaCertPara {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "subjectCnName")
    private String subjectCnName;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "caCertName")
    private String caCertName;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "fingerprint")
    private String fingerprint;

    public CaCertPara withSubjectCnName(String subjectCnName) {
        this.subjectCnName = subjectCnName;
        return this;
    }

    /**
     * 证书使用者CN NAME。
     *
     * @return subjectCnName
     */
    public String getSubjectCnName() {
        return subjectCnName;
    }

    public void setSubjectCnName(String subjectCnName) {
        this.subjectCnName = subjectCnName;
    }

    public CaCertPara withCaCertName(String caCertName) {
        this.caCertName = caCertName;
        return this;
    }

    /**
     * 证书名。
     *
     * @return caCertName
     */
    public String getCaCertName() {
        return caCertName;
    }

    public void setCaCertName(String caCertName) {
        this.caCertName = caCertName;
    }

    public CaCertPara withFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
        return this;
    }

    /**
     * 证书指纹。
     *
     * @return fingerprint
     */
    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CaCertPara caCertPara = (CaCertPara) o;
        return Objects.equals(this.subjectCnName, caCertPara.subjectCnName) &&
            Objects.equals(this.caCertName, caCertPara.caCertName) &&
            Objects.equals(this.fingerprint, caCertPara.fingerprint);
    }

    @Override
    public int hashCode() {
        return Objects.hash(subjectCnName, caCertName, fingerprint);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class CaCertPara {\n");
        sb.append("    subjectCnName: ").append(toIndentedString(subjectCnName)).append("\n");
        sb.append("    caCertName: ").append(toIndentedString(caCertName)).append("\n");
        sb.append("    fingerprint: ").append(toIndentedString(fingerprint)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

