package com.huawei.demo.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.function.Consumer;

/**
 * CertInfoPara
 */
public class CertInfoPara {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "caCert")

    private CaCertPara caCert = null;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "deviceCert")

    private List<DeviceCertPara> deviceCert = new ArrayList<>();

    public CertInfoPara withCaCert(CaCertPara caCert) {
        this.caCert = caCert;
        return this;
    }

    public CertInfoPara withCaCert(Consumer<CaCertPara> caCertSetter) {
        if (this.caCert == null) {
            this.caCert = new CaCertPara();
            caCertSetter.accept(this.caCert);
        }

        return this;
    }

    /**
     * Get caCert
     *
     * @return caCert
     */
    public CaCertPara getCaCert() {
        return caCert;
    }

    public void setCaCert(CaCertPara caCert) {
        this.caCert = caCert;
    }

    public CertInfoPara withDeviceCert(List<DeviceCertPara> deviceCert) {
        this.deviceCert = deviceCert;
        return this;
    }

    public CertInfoPara addDeviceCertItem(DeviceCertPara deviceCertItem) {
        this.deviceCert.add(deviceCertItem);
        return this;
    }

    public CertInfoPara withDeviceCert(Consumer<List<DeviceCertPara>> deviceCertSetter) {
        if (this.deviceCert == null) {
            this.deviceCert = new ArrayList<>();
        }
        deviceCertSetter.accept(this.deviceCert);
        return this;
    }

    /**
     * 设备证书信息
     *
     * @return deviceCert
     */
    public List<DeviceCertPara> getDeviceCert() {
        return deviceCert;
    }

    public void setDeviceCert(List<DeviceCertPara> deviceCert) {
        this.deviceCert = deviceCert;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CertInfoPara certInfoPara = (CertInfoPara) o;
        return Objects.equals(this.caCert, certInfoPara.caCert) &&
            Objects.equals(this.deviceCert, certInfoPara.deviceCert);
    }

    @Override
    public int hashCode() {
        return Objects.hash(caCert, deviceCert);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class CertInfoPara {\n");
        sb.append("    caCert: ").append(toIndentedString(caCert)).append("\n");
        sb.append("    deviceCert: ").append(toIndentedString(deviceCert)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

