package com.huawei.demo.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Objects;

/**
 * TdpFuncBodyContext
 */
public class TdpFuncBodyContext {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "allocationResult")
    private String allocationResult;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "errorCode")
    private String errorCode;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonProperty(value = "errorMsg")
    private String errorMsg;

    public TdpFuncBodyContext withAllocationResult(String allocationResult) {
        this.allocationResult = allocationResult;
        return this;
    }

    /**
     * 发放结果，存放发放接口返回的响应结构体
     *
     * @return allocationResult
     */
    public String getAllocationResult() {
        return allocationResult;
    }

    public void setAllocationResult(String allocationResult) {
        this.allocationResult = allocationResult;
    }

    public TdpFuncBodyContext withErrorCode(String errorCode) {
        this.errorCode = errorCode;
        return this;
    }

    /**
     * 错误码
     *
     * @return errorCode
     */
    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public TdpFuncBodyContext withErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
        return this;
    }

    /**
     * 错误描述
     *
     * @return errorMsg
     */
    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TdpFuncBodyContext tdpFuncBodyContext = (TdpFuncBodyContext) o;
        return Objects.equals(this.allocationResult, tdpFuncBodyContext.allocationResult) &&
            Objects.equals(this.errorCode, tdpFuncBodyContext.errorCode) &&
            Objects.equals(this.errorMsg, tdpFuncBodyContext.errorMsg);
    }

    @Override
    public int hashCode() {
        return Objects.hash(allocationResult, errorCode, errorMsg);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class TdpFuncBodyContext {\n");
        sb.append("    allocationResult: ").append(toIndentedString(allocationResult)).append("\n");
        sb.append("    errorCode: ").append(toIndentedString(errorCode)).append("\n");
        sb.append("    errorMsg: ").append(toIndentedString(errorMsg)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

