package com.huawei.demo.model.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.Objects;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class ApplicationResp implements Serializable {
    private static final long serialVersionUID = 1L;

    @Size(max = 64, min = 1)
    @Valid
    @NotNull()
    @JsonProperty("app_id")
    private String appId = null;

    @Size(max = 256, min = 1)
    @Valid
    @NotNull()
    @JsonProperty("app_name")
    private String appName = null;

    public ApplicationResp() {
        super();
    }

    /**
     * 应用id。
     * minLength: 1
     * maxLength: 64
     **/
    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId_in) {
        this.appId = appId_in;
    }

    /**
     * 应用名称。
     * minLength: 1
     * maxLength: 256
     **/
    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName_in) {
        this.appName = appName_in;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ApplicationResp applicationResp = (ApplicationResp) o;
        return Objects.equals(this.appId,
            applicationResp.appId)
            && Objects.equals(this.appName,
            applicationResp.appName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(appId, appName);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ApplicationResp { ");

        sb.append("  appId: ").append(appId).append(", ");
        sb.append("  appName: ").append(appName).append(", ");
        sb.append("} ");
        return sb.toString();
    }
}
