package com.huawei.demo.model.error;

public enum ErrorEnum {
    /**
     * 函数入参有误
     */
    INVALID_FUNCTION_PARA("000001", "function got invalid para"),

    /**
     * 获取到的接入点有误
     */
    INVALID_ACCESS_POINT("000002", "access point is invalid"),

    /**
     * 发放设备有误
     */
    ERROR_IN_PROVISIONING_DEVICE("000003", "error occurred in provisioning device");

    private final String errorCode;

    private final String errorDesc;

    ErrorEnum(String errorCode, String errorDesc) {
        this.errorCode = errorCode;
        this.errorDesc = errorDesc;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public String getErrorDesc() {
        return errorDesc;
    }
}
